Skip to content

Delete amendment

DELETE/tenants/{tenantId}/account-amendments/{accountAmendmentId}

Partner API · Tenants

Cancel a pending account amendment.

Required permissionaccount_management:write OR license_management:write

Parameters

Name In Type Required Description
X-Partner-ID header string (uuid) Yes Partner ID.
tenantId path string (uuid) Yes Tenant ID.
accountAmendmentId path string (uuid) Yes Account amendment ID.

Request samples

curl -X DELETE "https://api.central.sophos.com/partner/v1/tenants/<tenantId>/account-amendments/<accountAmendmentId>" -H "Authorization: Bearer <access-token>" -H "X-Partner-ID: <partner-id>"

import requests

response = requests.delete(
    "https://api.central.sophos.com/partner/v1/tenants/<tenantId>/account-amendments/<accountAmendmentId>",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Partner-ID": "<partner-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Partner-ID" = "<partner-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api.central.sophos.com/partner/v1/tenants/<tenantId>/account-amendments/<accountAmendmentId>" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api.central.sophos.com/partner/v1/tenants/<tenantId>/account-amendments/<accountAmendmentId>", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Partner-ID", "<partner-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.central.sophos.com/partner/v1/tenants/<tenantId>/account-amendments/<accountAmendmentId>", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Partner-ID": "<partner-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — Pending account amendment canceled.

Response fields

canceledbooleanrequired
Whether the amendment was succesfully canceled.

Errors

Status Meaning
404 Can't find account amendment with this ID.
422 Can't process the account amendment at this moment.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "canceled": true
}

See the guide for a narrative walkthrough of this API.